## kde-qdoc-common 1.0.0

=== debian/changelog ===
kde-qdoc-common (1.0.0-0zneon+24.04+noble+release+build2) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:14:34 +0000

kde-qdoc-common (1.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Jul 2025 11:08:22 +1000

## kde-qdoc-common 1.0.0+p24.04+vstable+git20250730.1205

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

find_package(ECM 6.15 REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMGenerateQDoc)
include(ECMQueryQt)
include(KDEInstallDirs)

add_library(KDEIndex empty.cpp)

ecm_generate_qdoc(KDEIndex kde.qdocconf)

=== debian/changelog ===
kde-qdoc-common (1.0.0+p24.04+vstable+git20250730.1205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 30 Jul 2025 12:05:40 +0000

=== debian/control ===
Source: kde-qdoc-common
Section: kde
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kde-qdoc-common.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kde-qdoc-common
Maintainer: Neon CI <neon@kde.org>

Package: kde-qdoc-common
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common files for KDE's API documentation
 The common files for KDE's API documentation. Individual projects include
 it in their documentation builds. The files in the 'global' folder are
 forked from Qt. We can modify them at will, however we should periodically
 sync them with upstream to incorporate improvements from there.
 .
 This package is part of the KDE sdk module.

Package: kde-qdoc-common-dev
Architecture: any
Section: utils
Depends: kde-qdoc-common, ${misc:Depends}, ${shlibs:Depends}
Description: Development files for KDE's API documentation
 The development files for KDE's API documentation. Individual projects include
 it in their documentation builds. The files in the 'global' folder are
 forked from Qt. We can modify them at will, however we should periodically
 sync them with upstream to incorporate improvements from there.
 .
 This package is part of the KDE sdk module.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export KDE_DOCS="../kde-qdoc-common"

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	mkdir -p usr/share/qt6/doc/kde-qdoc-common-dev/
	cp  ./*.* ./usr/share/qt6/doc/kde-qdoc-common-dev/
	ls -lsh
	cp -r global ./usr/share/qt6/doc/kde-qdoc-common-dev/
	dh_auto_configure -- -DDOC_DESTDIR=usr/share/qt6/doc

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- prepare_docs
	dh_auto_build -- generate_docs
	cp -r obj-${DEB_BUILD_GNU_TYPE}/usr/share/qt6/doc/kde/ ./usr/share/qt6/doc/
	#dh_auto_build -- generate_qch

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- install_html_docs
	#dh_auto_install -- install_qch_docs

## kde-qdoc-common 1.0.0+p24.04+vstable+git20251215.0052

=== debian/changelog ===
kde-qdoc-common (1.0.0+p24.04+vstable+git20251215.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 00:52:46 +0000

## kde-qdoc-common 1.0.0+p24.04+vstable+git20260107.2219

=== debian/changelog ===
kde-qdoc-common (1.0.0+p24.04+vstable+git20260107.2219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 22:19:53 +0000

## kde-qdoc-common 1.0.0+p24.04+vstable+git20260122.1224

=== debian/changelog ===
kde-qdoc-common (1.0.0+p24.04+vstable+git20260122.1224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:24:33 +0000

## kde-qdoc-common 1.0.0+p24.04+vunstable+git20251202.0548

=== debian/changelog ===
kde-qdoc-common (1.0.0+p24.04+vunstable+git20251202.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 05:48:52 +0000

## kde-qdoc-common 1.0.0+p24.04+vunstable+git20260105.0808

=== debian/changelog ===
kde-qdoc-common (1.0.0+p24.04+vunstable+git20260105.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:08:37 +0000

## kde-qdoc-common 1.0.0+p24.04+vunstable+git20260123.0144

=== debian/changelog ===
kde-qdoc-common (1.0.0+p24.04+vunstable+git20260123.0144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:44:07 +0000
